VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::iso::Image Interface Reference

Provides an interface to mount and unmount an ISO image on a virtual machine. More...

Inherited by vmware::vcenter::iso::ImageStub.

List of all members.

## Public Member Functions
string | Mount (string libraryItem, string vm)
| Mounts an ISO image from a content library on a virtual machine.
string | Mount (string libraryItem, string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Mounts an ISO image from a content library on a virtual machine.
global::System.Threading.Tasks.Task < string > | MountAsync (string libraryItem, string vm)
| Mounts an ISO image from a content library on a virtual machine.
global::System.Threading.Tasks.Task < string > | MountAsync (string libraryItem, string vm, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Mounts an ISO image from a content library on a virtual machine.
void | Unmount (string vm, string cdrom)
| Unmounts a previously mounted CD-ROM using an ISO image as a backing.
void | Unmount (string vm, string cdrom, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Unmounts a previously mounted CD-ROM using an ISO image as a backing.
global::System.Threading.Tasks.Task | UnmountAsync (string vm, string cdrom)
| Unmounts a previously mounted CD-ROM using an ISO image as a backing.
global::System.Threading.Tasks.Task | UnmountAsync (string vm, string cdrom, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Unmounts a previously mounted CD-ROM using an ISO image as a backing.

## Detailed Description

Provides an interface to mount and unmount an ISO image on a virtual machine.

This is an API that will let its client mount or unmount an ISO image on a virtual machine as a CD-ROM.

## Member Function Documentation

string vmware::vcenter::iso::Image::Mount | ( | string | libraryItem,
|  | string | vm
| ) |  |

Mounts an ISO image from a content library on a virtual machine.

Exceptions:

  vmware.vapi.std.errors.NotFound | If either vm or the libraryItem is not found.
  vmware.vapi.std.errors.InvalidArgument | If no .iso file is present on the library item.
  vmware.vapi.std.errors.NotAllowedInCurrentState | When the operation is not allowed on the virtual machine in its current state.

Parameters:

  libraryItem | The identifier of the library item having the ISO image to mount on the virtual machine. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  vm | The identifier of the virtual machine where the specified ISO image will be mounted. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  The identifier of the newly created virtual CD-ROM backed by the specified ISO image. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::iso::ImageStub.

string vmware::vcenter::iso::Image::Mount | ( | string | libraryItem,
|  | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Mounts an ISO image from a content library on a virtual machine.

Exceptions:

  vmware.vapi.std.errors.NotFound | If either vm or the libraryItem is not found.
  vmware.vapi.std.errors.InvalidArgument | If no .iso file is present on the library item.
  vmware.vapi.std.errors.NotAllowedInCurrentState | When the operation is not allowed on the virtual machine in its current state.

Parameters:

  libraryItem | The identifier of the library item having the ISO image to mount on the virtual machine. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  vm | The identifier of the virtual machine where the specified ISO image will be mounted. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The identifier of the newly created virtual CD-ROM backed by the specified ISO image. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::iso::ImageStub.

global::System.Threading.Tasks.Task<string> vmware::vcenter::iso::Image::MountAsync | ( | string | libraryItem,
|  | string | vm,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Mounts an ISO image from a content library on a virtual machine.

Exceptions:

  vmware.vapi.std.errors.NotFound | If either vm or the libraryItem is not found.
  vmware.vapi.std.errors.InvalidArgument | If no .iso file is present on the library item.
  vmware.vapi.std.errors.NotAllowedInCurrentState | When the operation is not allowed on the virtual machine in its current state.

Parameters:

  libraryItem | The identifier of the library item having the ISO image to mount on the virtual machine. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  vm | The identifier of the virtual machine where the specified ISO image will be mounted. The parameter must be an identifier for the resource type: `VirtualMachine` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The identifier of the newly created virtual CD-ROM backed by the specified ISO image. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::iso::ImageStub.

global::System.Threading.Tasks.Task<string> vmware::vcenter::iso::Image::MountAsync | ( | string | libraryItem,
|  | string | vm
| ) |  |

Mounts an ISO image from a content library on a virtual machine.

Exceptions:

  vmware.vapi.std.errors.NotFound | If either vm or the libraryItem is not found.
  vmware.vapi.std.errors.InvalidArgument | If no .iso file is present on the library item.
  vmware.vapi.std.errors.NotAllowedInCurrentState | When the operation is not allowed on the virtual machine in its current state.

Parameters:

  libraryItem | The identifier of the library item having the ISO image to mount on the virtual machine. The parameter must be an identifier for the resource type: `com.vmware.content.library.Item` .
  vm | The identifier of the virtual machine where the specified ISO image will be mounted. The parameter must be an identifier for the resource type: `VirtualMachine` .

Returns:
  The identifier of the newly created virtual CD-ROM backed by the specified ISO image. The result will be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::iso::ImageStub.

void vmware::vcenter::iso::Image::Unmount | ( | string | vm,
|  | string | cdrom
| ) |  |

Unmounts a previously mounted CD-ROM using an ISO image as a backing.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the virtual machine identified by vm is not found or the cdrom does not identify a virtual CD-ROM in the virtual machine.
  vmware.vapi.std.errors.NotAllowedInCurrentState | When the operation is not allowed on the virtual machine in its current state.

Parameters:

  vm | The identifier of the virtual machine from which to unmount the virtual CD-ROM. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | The device identifier of the CD-ROM. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::iso::ImageStub.

void vmware::vcenter::iso::Image::Unmount | ( | string | vm,
|  | string | cdrom,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Unmounts a previously mounted CD-ROM using an ISO image as a backing.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the virtual machine identified by vm is not found or the cdrom does not identify a virtual CD-ROM in the virtual machine.
  vmware.vapi.std.errors.NotAllowedInCurrentState | When the operation is not allowed on the virtual machine in its current state.

Parameters:

  vm | The identifier of the virtual machine from which to unmount the virtual CD-ROM. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | The device identifier of the CD-ROM. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::iso::ImageStub.

global::System.Threading.Tasks.Task vmware::vcenter::iso::Image::UnmountAsync | ( | string | vm,
|  | string | cdrom,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Unmounts a previously mounted CD-ROM using an ISO image as a backing.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the virtual machine identified by vm is not found or the cdrom does not identify a virtual CD-ROM in the virtual machine.
  vmware.vapi.std.errors.NotAllowedInCurrentState | When the operation is not allowed on the virtual machine in its current state.

Parameters:

  vm | The identifier of the virtual machine from which to unmount the virtual CD-ROM. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | The device identifier of the CD-ROM. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::vcenter::iso::ImageStub.

global::System.Threading.Tasks.Task vmware::vcenter::iso::Image::UnmountAsync | ( | string | vm,
|  | string | cdrom
| ) |  |

Unmounts a previously mounted CD-ROM using an ISO image as a backing.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the virtual machine identified by vm is not found or the cdrom does not identify a virtual CD-ROM in the virtual machine.
  vmware.vapi.std.errors.NotAllowedInCurrentState | When the operation is not allowed on the virtual machine in its current state.

Parameters:

  vm | The identifier of the virtual machine from which to unmount the virtual CD-ROM. The parameter must be an identifier for the resource type: `VirtualMachine` .
  cdrom | The device identifier of the CD-ROM. The parameter must be an identifier for the resource type: `com.vmware.vcenter.vm.hardware.Cdrom` .

Implemented in vmware::vcenter::iso::ImageStub.

The documentation for this interface was generated from the following file:

- Image.cs